diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/about.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/about.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/about.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/about.php	2012-10-29 12:35:31.000000000 -0500
***************
*** 34,40 ****
  </h2>
  
  <div class="changelog point-releases">
! 	<h3><?php echo _n( 'Maintenance and Security Release', 'Maintenance and Security Releases', 1 ); ?></h3>
  	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bug.',
           '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bugs.', 21 ), '3.4.1', number_format_i18n( 21 ) ); ?>
  		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.4.1' ); ?>
--- 34,45 ----
  </h2>
  
  <div class="changelog point-releases">
! 	<h3><?php echo _n( 'Maintenance and Security Release', 'Maintenance and Security Releases', 2 ); ?></h3>
! 	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bug.',
!          '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bugs.', 20 ), '3.4.2', number_format_i18n( 20 ) ); ?>
! 		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.4.2' ); ?>
!  	</p>
! 
  	<p><?php printf( _n( '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bug.',
           '<strong>Version %1$s</strong> addressed some security issues and fixed %2$s bugs.', 21 ), '3.4.1', number_format_i18n( 21 ) ); ?>
  		<?php printf( __( 'For more information, see <a href="%s">the release notes</a>.' ), 'http://codex.wordpress.org/Version_3.4.1' ); ?>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/includes/class-wp-ms-themes-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-ms-themes-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/includes/class-wp-ms-themes-list-table.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-ms-themes-list-table.php	2012-10-29 12:35:31.000000000 -0500
***************
*** 293,299 ****
  		}
  
  		if ( current_user_can('edit_themes') )
! 			$actions['edit'] = '<a href="' . esc_url('theme-editor.php?theme=' .  $theme_key ) . '" title="' . esc_attr__('Open this theme in the Theme Editor') . '" class="edit">' . __('Edit') . '</a>';
  
  		if ( ! $allowed && current_user_can( 'delete_themes' ) && ! $this->is_site_themes && $theme_key != get_option( 'stylesheet' ) && $theme_key != get_option( 'template' ) )
  			$actions['delete'] = '<a href="' . esc_url( wp_nonce_url( 'themes.php?action=delete-selected&amp;checked[]=' . $theme_key . '&amp;theme_status=' . $context . '&amp;paged=' . $page . '&amp;s=' . $s, 'bulk-themes' ) ) . '" title="' . esc_attr__( 'Delete this theme' ) . '" class="delete">' . __( 'Delete' ) . '</a>';
--- 293,299 ----
  		}
  
  		if ( current_user_can('edit_themes') )
! 			$actions['edit'] = '<a href="' . esc_url('theme-editor.php?theme=' . urlencode( $theme_key ) ) . '" title="' . esc_attr__('Open this theme in the Theme Editor') . '" class="edit">' . __('Edit') . '</a>';
  
  		if ( ! $allowed && current_user_can( 'delete_themes' ) && ! $this->is_site_themes && $theme_key != get_option( 'stylesheet' ) && $theme_key != get_option( 'template' ) )
  			$actions['delete'] = '<a href="' . esc_url( wp_nonce_url( 'themes.php?action=delete-selected&amp;checked[]=' . $theme_key . '&amp;theme_status=' . $context . '&amp;paged=' . $page . '&amp;s=' . $s, 'bulk-themes' ) ) . '" title="' . esc_attr__( 'Delete this theme' ) . '" class="delete">' . __( 'Delete' ) . '</a>';
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/includes/class-wp-plugins-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-plugins-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/includes/class-wp-plugins-list-table.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-plugins-list-table.php	2012-10-29 12:35:31.000000000 -0500
***************
*** 90,96 ****
  
  		foreach ( (array) $plugins['all'] as $plugin_file => $plugin_data ) {
  			// Filter into individual sections
! 			if ( ! $screen->is_network && is_plugin_active_for_network( $plugin_file ) ) {
  				unset( $plugins['all'][ $plugin_file ] );
  			} elseif ( ( ! $screen->is_network && is_plugin_active( $plugin_file ) )
  				|| ( $screen->is_network && is_plugin_active_for_network( $plugin_file ) ) ) {
--- 90,98 ----
  
  		foreach ( (array) $plugins['all'] as $plugin_file => $plugin_data ) {
  			// Filter into individual sections
! 			if ( is_multisite() && ! $screen->is_network && is_network_only_plugin( $plugin_file ) ) {
! 				unset( $plugins['all'][ $plugin_file ] );
! 			} elseif ( ! $screen->is_network && is_plugin_active_for_network( $plugin_file ) ) {
  				unset( $plugins['all'][ $plugin_file ] );
  			} elseif ( ( ! $screen->is_network && is_plugin_active( $plugin_file ) )
  				|| ( $screen->is_network && is_plugin_active_for_network( $plugin_file ) ) ) {
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/includes/class-wp-themes-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-themes-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/includes/class-wp-themes-list-table.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-themes-list-table.php	2012-10-29 12:35:31.000000000 -0500
***************
*** 128,134 ****
  			$activate_link = wp_nonce_url( "themes.php?action=activate&amp;template=" . urlencode( $template ) . "&amp;stylesheet=" . urlencode( $stylesheet ), 'switch-theme_' . $stylesheet );
  
  			$preview_link = esc_url( add_query_arg(
! 				array( 'preview' => 1, 'template' => $template, 'stylesheet' => $stylesheet, 'preview_iframe' => true, 'TB_iframe' => 'true' ),
  				home_url( '/' ) ) );
  
  			$actions = array();
--- 128,134 ----
  			$activate_link = wp_nonce_url( "themes.php?action=activate&amp;template=" . urlencode( $template ) . "&amp;stylesheet=" . urlencode( $stylesheet ), 'switch-theme_' . $stylesheet );
  
  			$preview_link = esc_url( add_query_arg(
! 				array( 'preview' => 1, 'template' => urlencode( $template ), 'stylesheet' => urlencode( $stylesheet ), 'preview_iframe' => true, 'TB_iframe' => 'true' ),
  				home_url( '/' ) ) );
  
  			$actions = array();
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/includes/class-wp-upgrader.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-upgrader.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/includes/class-wp-upgrader.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/class-wp-upgrader.php	2012-10-29 12:35:30.000000000 -0500
***************
*** 1507,1520 ****
  
  		$preview_link = add_query_arg( array(
  			'preview'    => 1,
! 			'template'   => $template,
! 			'stylesheet' => $stylesheet,
  		), trailingslashit( get_home_url() ) );
  
  		$activate_link = add_query_arg( array(
  			'action'     => 'activate',
! 			'template'   => $template,
! 			'stylesheet' => $stylesheet,
  		), admin_url('themes.php') );
  		$activate_link = wp_nonce_url( $activate_link, 'switch-theme_' . $stylesheet );
  
--- 1507,1520 ----
  
  		$preview_link = add_query_arg( array(
  			'preview'    => 1,
! 			'template'   => urlencode( $template ),
! 			'stylesheet' => urlencode( $stylesheet ),
  		), trailingslashit( get_home_url() ) );
  
  		$activate_link = add_query_arg( array(
  			'action'     => 'activate',
! 			'template'   => urlencode( $template ),
! 			'stylesheet' => urlencode( $stylesheet ),
  		), admin_url('themes.php') );
  		$activate_link = wp_nonce_url( $activate_link, 'switch-theme_' . $stylesheet );
  
***************
*** 1571,1584 ****
  
  			$preview_link = add_query_arg( array(
  				'preview'    => 1,
! 				'template'   => $template,
! 				'stylesheet' => $stylesheet,
  			), trailingslashit( get_home_url() ) );
  
  			$activate_link = add_query_arg( array(
  				'action'     => 'activate',
! 				'template'   => $template,
! 				'stylesheet' => $stylesheet,
  			), admin_url('themes.php') );
  			$activate_link = wp_nonce_url( $activate_link, 'switch-theme_' . $stylesheet );
  
--- 1571,1584 ----
  
  			$preview_link = add_query_arg( array(
  				'preview'    => 1,
! 				'template'   => urlencode( $template ),
! 				'stylesheet' => urlencode( $stylesheet ),
  			), trailingslashit( get_home_url() ) );
  
  			$activate_link = add_query_arg( array(
  				'action'     => 'activate',
! 				'template'   => urlencode( $template ),
! 				'stylesheet' => urlencode( $stylesheet ),
  			), admin_url('themes.php') );
  			$activate_link = wp_nonce_url( $activate_link, 'switch-theme_' . $stylesheet );
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/includes/meta-boxes.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/meta-boxes.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/includes/meta-boxes.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/meta-boxes.php	2012-10-29 12:35:31.000000000 -0500
***************
*** 688,694 ****
  		<p id="link-category-add" class="wp-hidden-child">
  			<label class="screen-reader-text" for="newcat"><?php _e( '+ Add New Category' ); ?></label>
  			<input type="text" name="newcat" id="newcat" class="form-required form-input-tip" value="<?php esc_attr_e( 'New category name' ); ?>" aria-required="true" />
! 			<input type="button" id="category-add-submit" class="add:categorychecklist:linkcategorydiv button" value="<?php esc_attr_e( 'Add' ); ?>" />
  			<?php wp_nonce_field( 'add-link-category', '_ajax_nonce', false ); ?>
  			<span id="category-ajax-response"></span>
  		</p>
--- 688,694 ----
  		<p id="link-category-add" class="wp-hidden-child">
  			<label class="screen-reader-text" for="newcat"><?php _e( '+ Add New Category' ); ?></label>
  			<input type="text" name="newcat" id="newcat" class="form-required form-input-tip" value="<?php esc_attr_e( 'New category name' ); ?>" aria-required="true" />
! 			<input type="button" id="link-category-add-submit" class="add:categorychecklist:linkcategorydiv button" value="<?php esc_attr_e( 'Add' ); ?>" />
  			<?php wp_nonce_field( 'add-link-category', '_ajax_nonce', false ); ?>
  			<span id="category-ajax-response"></span>
  		</p>
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/includes/update-core.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/update-core.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/includes/update-core.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/includes/update-core.php	2012-10-29 12:35:30.000000000 -0500
***************
*** 477,483 ****
  	$mysql_version  = $wpdb->db_version();
  	$required_php_version = '5.2.4';
  	$required_mysql_version = '5.0';
! 	$wp_version = '3.4.1';
  	$php_compat     = version_compare( $php_version, $required_php_version, '>=' );
  	if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
  		$mysql_compat = true;
--- 477,483 ----
  	$mysql_version  = $wpdb->db_version();
  	$required_php_version = '5.2.4';
  	$required_mysql_version = '5.0';
! 	$wp_version = '3.4.2';
  	$php_compat     = version_compare( $php_version, $required_php_version, '>=' );
  	if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
  		$mysql_compat = true;
***************
*** 680,686 ****
  function _redirect_to_about_wordpress( $new_version ) {
  	global $wp_version, $pagenow, $action;
  
! 	if ( version_compare( $wp_version, '3.4-RC1', '>=' ) )
  		return;
  
  	// Ensure we only run this on the update-core.php page. wp_update_core() could be called in other contexts.
--- 680,686 ----
  function _redirect_to_about_wordpress( $new_version ) {
  	global $wp_version, $pagenow, $action;
  
! 	if ( version_compare( $wp_version, '3.5-alpha', '>=' ) )
  		return;
  
  	// Ensure we only run this on the update-core.php page. wp_update_core() could be called in other contexts.
***************
*** 695,706 ****
  
  	// See do_core_upgrade()
  	show_message( __('WordPress updated successfully') );
! 	show_message( '<span class="hide-if-no-js">' . sprintf( __( 'Welcome to WordPress %1$s. You will be redirected to the About WordPress screen. If not, click <a href="%s">here</a>.' ), $new_version, esc_url( self_admin_url( 'about.php?updated' ) ) ) . '</span>' );
! 	show_message( '<span class="hide-if-js">' . sprintf( __( 'Welcome to WordPress %1$s. <a href="%2$s">Learn more</a>.' ), $new_version, esc_url( self_admin_url( 'about.php?updated' ) ) ) . '</span>' );
  	echo '</div>';
  	?>
  <script type="text/javascript">
! window.location = '<?php echo self_admin_url( 'about.php?updated' ); ?>';
  </script>
  	<?php
  
--- 695,711 ----
  
  	// See do_core_upgrade()
  	show_message( __('WordPress updated successfully') );
! 
! 	$js_message = __( 'Welcome to WordPress %1$s. You will be redirected to the About WordPress screen. If not, click <a href="%s">here</a>.' );
! 	$js_message = str_replace( '"%s"', '"%2$s"', $js_message ); // in lieu of breaking the string.
! 
! 	// self_admin_url() won't exist when upgrading from <= 3.0, so relative URLs are intentional.
! 	show_message( '<span class="hide-if-no-js">' . sprintf( $js_message, $new_version, 'about.php?updated' ) . '</span>' );
! 	show_message( '<span class="hide-if-js">' . sprintf( __( 'Welcome to WordPress %1$s. <a href="%2$s">Learn more</a>.' ), $new_version, 'about.php?updated' ) . '</span>' );
  	echo '</div>';
  	?>
  <script type="text/javascript">
! window.location = 'about.php?updated';
  </script>
  	<?php
  
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/index.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/index.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/index.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/index.php	2012-10-29 12:35:30.000000000 -0500
***************
*** 2,7 ****
--- 2,9 ----
  /**
   * Dashboard Administration Screen
   *
+  * @internal This file should be parseable by PHP4.
+  *
   * @package WordPress
   * @subpackage Administration
   */
***************
*** 32,38 ****
  
  $help = '<p>' . __( 'Welcome to your WordPress Dashboard! This is the screen you will see when you log in to your site, and gives you access to all the site management features of WordPress. You can get help for any screen by clicking the Help tab in the upper corner.' ) . '</p>';
  
! get_current_screen()->add_help_tab( array(
  	'id'      => 'overview',
  	'title'   => __( 'Overview' ),
  	'content' => $help,
--- 34,43 ----
  
  $help = '<p>' . __( 'Welcome to your WordPress Dashboard! This is the screen you will see when you log in to your site, and gives you access to all the site management features of WordPress. You can get help for any screen by clicking the Help tab in the upper corner.' ) . '</p>';
  
! // Not using chaining here, so as to be parseable by PHP4.
! $screen = get_current_screen();
! 
! $screen->add_help_tab( array(
  	'id'      => 'overview',
  	'title'   => __( 'Overview' ),
  	'content' => $help,
***************
*** 43,49 ****
  $help  = '<p>' . __('The left-hand navigation menu provides links to all of the WordPress administration screens, with submenu items displayed on hover. You can minimize this menu to a narrow icon strip by clicking on the Collapse Menu arrow at the bottom.') . '</p>';
  $help .= '<p>' . __('Links in the Toolbar at the top of the screen connect your dashboard and the front end of your site, and provide access to your profile and helpful WordPress information.') . '</p>';
  
! get_current_screen()->add_help_tab( array(
  	'id'      => 'help-navigation',
  	'title'   => __('Navigation'),
  	'content' => $help,
--- 48,54 ----
  $help  = '<p>' . __('The left-hand navigation menu provides links to all of the WordPress administration screens, with submenu items displayed on hover. You can minimize this menu to a narrow icon strip by clicking on the Collapse Menu arrow at the bottom.') . '</p>';
  $help .= '<p>' . __('Links in the Toolbar at the top of the screen connect your dashboard and the front end of your site, and provide access to your profile and helpful WordPress information.') . '</p>';
  
! $screen->add_help_tab( array(
  	'id'      => 'help-navigation',
  	'title'   => __('Navigation'),
  	'content' => $help,
***************
*** 54,60 ****
  $help .= '<p>' . __('<strong>Drag and Drop</strong> - To rearrange the boxes, drag and drop by clicking on the title bar of the selected box and releasing when you see a gray dotted-line rectangle appear in the location you want to place the box.') . '</p>';
  $help .= '<p>' . __('<strong>Box Controls</strong> - Click the title bar of the box to expand or collapse it. In addition, some box have configurable content, and will show a &#8220;Configure&#8221; link in the title bar if you hover over it.') . '</p>';
  
! get_current_screen()->add_help_tab( array(
  	'id'      => 'help-layout',
  	'title'   => __('Layout'),
  	'content' => $help,
--- 59,65 ----
  $help .= '<p>' . __('<strong>Drag and Drop</strong> - To rearrange the boxes, drag and drop by clicking on the title bar of the selected box and releasing when you see a gray dotted-line rectangle appear in the location you want to place the box.') . '</p>';
  $help .= '<p>' . __('<strong>Box Controls</strong> - Click the title bar of the box to expand or collapse it. In addition, some box have configurable content, and will show a &#8220;Configure&#8221; link in the title bar if you hover over it.') . '</p>';
  
! $screen->add_help_tab( array(
  	'id'      => 'help-layout',
  	'title'   => __('Layout'),
  	'content' => $help,
***************
*** 78,84 ****
  if ( current_user_can( 'edit_theme_options' ) )
  	$help .= '<p>' . __('<strong>Welcome</strong> - Shows links for some of the most common tasks when setting up a new site.') . '</p>';
  
! get_current_screen()->add_help_tab( array(
  	'id'      => 'help-content',
  	'title'   => __('Content'),
  	'content' => $help,
--- 83,89 ----
  if ( current_user_can( 'edit_theme_options' ) )
  	$help .= '<p>' . __('<strong>Welcome</strong> - Shows links for some of the most common tasks when setting up a new site.') . '</p>';
  
! $screen->add_help_tab( array(
  	'id'      => 'help-content',
  	'title'   => __('Content'),
  	'content' => $help,
***************
*** 86,92 ****
  
  unset( $help );
  
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __( 'For more information:' ) . '</strong></p>' .
  	'<p>' . __( '<a href="http://codex.wordpress.org/Dashboard_Screen" target="_blank">Documentation on Dashboard</a>' ) . '</p>' .
  	'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>' ) . '</p>'
--- 91,97 ----
  
  unset( $help );
  
! $screen->set_help_sidebar(
  	'<p><strong>' . __( 'For more information:' ) . '</strong></p>' .
  	'<p>' . __( '<a href="http://codex.wordpress.org/Dashboard_Screen" target="_blank">Documentation on Dashboard</a>' ) . '</p>' .
  	'<p>' . __( '<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>' ) . '</p>'
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/js/customize-controls.dev.js /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/customize-controls.dev.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/js/customize-controls.dev.js	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/customize-controls.dev.js	2012-10-29 12:35:31.000000000 -0500
***************
*** 220,229 ****
  				};
  			});
  
- 			// Select a tab
- 			this.selected = this.tabs[ panels.first().data('customizeTab') ];
- 			this.selected.both.addClass('library-selected');
- 
  			// Bind tab switch events
  			this.library.children('ul').on( 'click', 'li', function( event ) {
  				var id  = $(this).data('customizeTab'),
--- 220,225 ----
***************
*** 255,260 ****
--- 251,268 ----
  					this.tabs.uploaded.both.addClass('hidden');
  			}
  
+ 			// Select a tab
+ 			panels.each( function() {
+ 				var tab = control.tabs[ $(this).data('customizeTab') ];
+ 
+ 				// Select the first visible tab.
+ 				if ( ! tab.link.hasClass('hidden') ) {
+ 					control.selected = tab;
+ 					tab.both.addClass('library-selected');
+ 					return false;
+ 				}
+ 			});
+ 
  			this.dropdownInit();
  		},
  		success: function( attachment ) {
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/js/link.dev.js /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/link.dev.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/js/link.dev.js	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/link.dev.js	2012-10-29 12:35:31.000000000 -0500
***************
*** 23,29 ****
  
  	// Ajax Cat
  	newCat = $('#newcat').one( 'focus', function() { $(this).val( '' ).removeClass( 'form-input-tip' ) } );
! 	$('#category-add-submit').click( function() { newCat.focus(); } );
  	syncChecks = function() {
  		if ( noSyncChecks )
  			return;
--- 23,29 ----
  
  	// Ajax Cat
  	newCat = $('#newcat').one( 'focus', function() { $(this).val( '' ).removeClass( 'form-input-tip' ) } );
! 	$('#link-category-add-submit').click( function() { newCat.focus(); } );
  	syncChecks = function() {
  		if ( noSyncChecks )
  			return;
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/js/post.dev.js /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/post.dev.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/js/post.dev.js	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/post.dev.js	2012-10-29 12:35:31.000000000 -0500
***************
*** 342,348 ****
  			return false;
  		});
  
! 		$('#' + taxonomy + 'checklist li.popular-category :checkbox, #' + taxonomy + 'checklist-pop :checkbox').live( 'click', function(){
  			var t = $(this), c = t.is(':checked'), id = t.val();
  			if ( id && t.parents('#taxonomy-'+taxonomy).length )
  				$('#in-' + taxonomy + '-' + id + ', #in-popular-' + taxonomy + '-' + id).prop( 'checked', c );
--- 342,348 ----
  			return false;
  		});
  
! 		$('#' + taxonomy + 'checklist li.popular-category input[type="checkbox"], #' + taxonomy + 'checklist-pop input[type="checkbox"]').live( 'click', function(){
  			var t = $(this), c = t.is(':checked'), id = t.val();
  			if ( id && t.parents('#taxonomy-'+taxonomy).length )
  				$('#in-' + taxonomy + '-' + id + ', #in-popular-' + taxonomy + '-' + id).prop( 'checked', c );
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.2.pl /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/plugins.php /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/plugins.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.1/wp-admin/plugins.php	2012-08-30 12:42:13.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/plugins.php	2012-10-29 12:35:31.000000000 -0500
***************
*** 51,56 ****
--- 51,61 ----
  			}
  
  			if ( ! is_network_admin() ) {
+ 				if ( is_network_only_plugin( $plugin ) ) {
+ 					wp_redirect( self_admin_url("plugins.php?plugin_status=$status&paged=$page&s=$s") );
+ 					exit;
+ 				}
+ 
  				$recent = (array) get_option( 'recently_activated' );
  				unset( $recent[ $plugin ] );
  				update_option( 'recently_activated', $recent );
***************
*** 72,81 ****
  			$plugins = isset( $_POST['checked'] ) ? (array) $_POST['checked'] : array();
  
  			// Only activate plugins which are not already active.
! 			$check = is_network_admin() ? 'is_plugin_active_for_network' : 'is_plugin_active';
! 			foreach ( $plugins as $i => $plugin )
! 				if ( $check( $plugin ) )
! 					unset( $plugins[ $i ] );
  
  			if ( empty($plugins) ) {
  				wp_redirect( self_admin_url("plugins.php?plugin_status=$status&paged=$page&s=$s") );
--- 77,93 ----
  			$plugins = isset( $_POST['checked'] ) ? (array) $_POST['checked'] : array();
  
  			// Only activate plugins which are not already active.
! 			if ( is_network_admin() ) {
! 				foreach ( $plugins as $i => $plugin ) {
! 					if ( is_plugin_active_for_network( $plugin ) )
! 						unset( $plugins[ $i ] );
! 				}
! 			} else {
! 				foreach ( $plugins as $i => $plugin ) {
! 					if ( is_plugin_active( $plugin ) || is_network_only_plugin( $plugin ) )
! 						unset( $plugins[ $i ] );
! 				}
! 			}
  
  			if ( empty($plugins) ) {
  				wp_redirect( self_admin_url("plugins.php?plugin_status=$status&paged=$page&s=$s") );
